//---------------------------------------------------------------------------

#ifndef MainUnitH
#define MainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <CheckLst.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>

#include <string.h>
#include "CSPIN.h"
#include <Dialogs.hpp>
#include "MySQLBackUp.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
        TMySQLBackUp *MySQLBackUp1;
        TStatusBar *StBar;
        TProgressBar *PGBar;
        TPageControl *PagCon;
        TTabSheet *TSLogin;
        TSplitter *Splitter2;
        TPanel *Panel2;
        TCheckListBox *CBTables;
        TPanel *Panel5;
        TSpeedButton *BtSelAll;
        TSpeedButton *BtDeSelAll;
        TPanel *Panel3;
        TListBox *LBDatabase;
        TPanel *Panel4;
        TPanel *pnMain;
        TLabel *lbHost;
        TLabel *lbDb;
        TLabel *lbLogin;
        TLabel *lbPswd;
        TLabel *LbConnect;
        TLabel *Label3;
        TEdit *edHost;
        TEdit *edDb;
        TEdit *edLogin;
        TEdit *edPswd;
        TBitBtn *BtLiveTest;
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TLabel *Label2;
        TCheckBox *CBMulti;
        TCheckBox *CBLock;
        TCheckBox *CBcOpt;
        TCheckBox *CBtOpt;
        TCheckBox *CBDrop;
        TEdit *EdBackFile;
        TCheckBox *CBExtIns;
        TCheckBox *CBProgr;
        TEdit *EdWhere;
        TCheckBox *CBwhere;
        TTabSheet *TSLogFile;
        TMemo *Memo1;
        TTabSheet *TSStruct;
        TSplitter *Splitter1;
        TMemo *StructMemo;
        TListBox *LBStrTabs;
        TPanel *Panel1;
        TBitBtn *BtClose;
        TBitBtn *BtBackup;
        TBitBtn *BtTableStruct;
        TBitBtn *BtRestore;
        TBitBtn *BtDiscon;
        TBitBtn *BtConnect;
        TBitBtn *BtInfo;
        TCSpinEdit *EdInterv;
        TOpenDialog *OpenDialog1;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall BtDisconClick(TObject *Sender);
        void __fastcall btnConnectClick(TObject *Sender);
        void __fastcall MySQLBackUp1ServerConnect(TObject *Sender,
          TServerInfo &data);
        void __fastcall MySQLBackUp1Disconnect(TObject *Sender);
        void __fastcall LBDatabaseDblClick(TObject *Sender);
        void __fastcall BtSelAllClick(TObject *Sender);
        void __fastcall BtDeSelAllClick(TObject *Sender);
        void __fastcall SetOptions(TObject *Sender);
        void __fastcall BtBackupClick(TObject *Sender);
        void __fastcall BtRestoreClick(TObject *Sender);
        void __fastcall PagConChange(TObject *Sender);
        void __fastcall LBStrTabsDblClick(TObject *Sender);
        void __fastcall CBwhereClick(TObject *Sender);
        void __fastcall BtCloseClick(TObject *Sender);
        void __fastcall MySQLBackUp1MyDataError(TObject *Sender,
          TMyErrRec &ErrInfo);
        void __fastcall MySQLBackUp1AfterDump(TObject *Sender,
          TMyDumpRec &DumpInfo);

private:	// Anwender-Deklarationen
public:		// Anwender-Deklarationen
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
